net.corda.core.math

## Class Polynomial

- net.corda.core.math.Polynomial

-     public class Polynomial

  Represents a polynomial function of arbitrary degree.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Polynomial(double[] coefficients)` Represents a polynomial function of arbitrary degree.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getValue(double x)`

- - ### Constructor Detail

    - #### Polynomial

          public Polynomial(double[] coefficients)

      Represents a polynomial function of arbitrary degree.

      Parameters:
        `coefficients` - polynomial coefficients in the order of degree (constant first, followed by higher degree term coefficients).

  - ### Method Detail

    - #### getValue

          public double getValue(double x)